xcb_dri2_swap_buffers(3)

NAME
xcb_dri2_swap_buffers -

SYNOPSIS
#include <xcb/dri2.h>

  Request function

xcb_dri2_swap_buffers_cookie_t xcb_dri2_swap_buffers(xcb_connection_t *conn, xcb_drawable_t drawable, uint32_t target_msc_hi, uint32_t target_msc_lo, uint32_t divisor_hi, uint32_t divisor_lo, uint32_t remainder_hi, uint32_t remainder_lo);

  Reply datastructure

typedef struct xcb_dri2_swap_buffers_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    uint32_t swap_hi;
    uint32_t swap_lo;
} xcb_dri2_swap_buffers_reply_t;

  Reply function

xcb_dri2_swap_buffers_reply_t *xcb_dri2_swap_buffers_reply(xcb_connection_t *conn, xcb_dri2_swap_buffers_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

drawable
    TODO: NOT YET DOCUMENTED.

target_msc_hi
    TODO: NOT YET DOCUMENTED.

target_msc_lo
    TODO: NOT YET DOCUMENTED.

divisor_hi
    TODO: NOT YET DOCUMENTED.

divisor_lo
    TODO: NOT YET DOCUMENTED.

remainder_hi
    TODO: NOT YET DOCUMENTED.

remainder_lo
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_DRI2_SWAP_BUFFERS. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

swap_hi
    TODO: NOT YET DOCUMENTED.

swap_lo
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_dri2_swap_buffers_cookie_t. Errors have to be handled when calling the reply function xcb_dri2_swap_buffers_reply.

If you want to handle errors in the event loop instead, use xcb_dri2_swap_buffers_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from dri2.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.